summaryrefslogtreecommitdiffstats
path: root/libraries/barry
diff options
context:
space:
mode:
author Vincent Batts2010-05-11 20:00:41 +0200
committer Robby Workman2010-05-11 20:00:41 +0200
commit5367554b70bf3129e1dd4ccd5f303d13951086d5 (patch)
tree1ede83fbc7f2b404d631c83d3193cdc4b805579e /libraries/barry
parent4f53ee36b270bb36ce790f0017ab31c4ac713a68 (diff)
downloadslackbuilds-5367554b70bf3129e1dd4ccd5f303d13951086d5.tar.gz
libraries/barry: Added to 12.0 repository
Diffstat (limited to 'libraries/barry')
-rw-r--r--libraries/barry/README4
-rw-r--r--libraries/barry/barry.SlackBuild73
-rw-r--r--libraries/barry/barry.info8
-rw-r--r--libraries/barry/doinst.sh16
-rw-r--r--libraries/barry/slack-desc19
5 files changed, 120 insertions, 0 deletions
diff --git a/libraries/barry/README b/libraries/barry/README
new file mode 100644
index 0000000000..722e4db273
--- /dev/null
+++ b/libraries/barry/README
@@ -0,0 +1,4 @@
+Barry is a GPL C++ library for interfacing with the RIM BlackBerry
+Handheld. It comes with a command line tool for exploring the device
+and a GUI for making quick backups. This project's goal is to create
+a fully functional syncing mechanism on Linux.
diff --git a/libraries/barry/barry.SlackBuild b/libraries/barry/barry.SlackBuild
new file mode 100644
index 0000000000..142ad54fc8
--- /dev/null
+++ b/libraries/barry/barry.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/sh -e
+
+## Barry is a GPL C++ library for interfacing with the RIM BlackBerry
+## Handheld. It comes with a command line tool for exploring the device
+## and a GUI for making quick backups. This project's goal is to create
+## a fully functional syncing mechanism on Linux.
+## http://sourceforge.net/projects/barry/
+##
+## Written by "Vincent Batts <vbatts@batts.mine.nu>"
+
+VERSION=0.11
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-3}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-barry
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf barry-$VERSION
+tar xvf $CWD/barry-$VERSION.tar.bz2
+cd barry-$VERSION
+chown -R root:root .
+chmod -R a-s,u+rw,go+r-w .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --build=i486-slackware-linux
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+gzip -9 $PKG/usr/man/man?/*.?
+
+mkdir -p $PKG/usr/doc/barry-$VERSION
+cp -a README INSTALL TODO COPYING AUTHORS NEWS ChangeLog \
+ $PKG/usr/doc/barry-$VERSION
+
+mkdir -p $PKG/etc/udev/rules.d/
+cp -a udev/10-blackberry.rules udev/99-barry-perms \
+ $PKG/etc/udev/rules.d/
+
+mkdir -p $PKG/etc/modprobe.d
+echo "blacklist berry-charge" > $PKG/etc/modprobe.d/barry.new
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/barry-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/barry/barry.info b/libraries/barry/barry.info
new file mode 100644
index 0000000000..c220ccab9f
--- /dev/null
+++ b/libraries/barry/barry.info
@@ -0,0 +1,8 @@
+PRGNAM="barry"
+VERSION="0.11"
+HOMEPAGE="http://sourceforge.net/projects/barry/"
+DOWNLOAD="http://downloads.sourceforge.net/barry/barry-0.11.tar.bz2"
+MD5SUM="a42db74aa7f900958d5d2a527b55f50c"
+MAINTAINER="Vincent Batts"
+EMAIL="vbatts@batts.mine.nu"
+APPROVED="rworkman"
diff --git a/libraries/barry/doinst.sh b/libraries/barry/doinst.sh
new file mode 100644
index 0000000000..f1bc12fcd3
--- /dev/null
+++ b/libraries/barry/doinst.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/modprobe.d/barry.new
+
diff --git a/libraries/barry/slack-desc b/libraries/barry/slack-desc
new file mode 100644
index 0000000000..53a7a689df
--- /dev/null
+++ b/libraries/barry/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+barry: barry (GPL C++ library for interfacing the BlackBerry)
+barry:
+barry: Barry is a GPL C++ library for interfacing with the RIM BlackBerry
+barry: Handheld. It comes with a command line tool for exploring the device
+barry: and a GUI for making quick backups. This project's goal is to create
+barry: a fully functional syncing mechanism on Linux.
+barry:
+barry: Homepage: http://sourceforge.net/projects/barry/
+barry:
+barry:
+barry: